# DataAssim.jl

Documentation for [DataAssim.jl](https://github.com/Alexander-Barth/DataAssim.jl)

## Simulation driver


```@docs
FreeRun
KalmanFilter
fourDVar
```

## Ensemble methods

```@docs
ETKF
EnKF
EnSRF
EAKF
SEIK
ESTKF
serialEnSRF
local_ETKF
local_EnKF
local_EnSRF
local_EAKF
local_SEIK
local_ESTKF
```


## Models

```@docs
AbstractModel
ModelMatrix
ModelFun
LinShallowWater1DModel
Lorenz63Model
```

## Utility functions

```@docs
compact_locfun
```
